'use strict';

var startsWith = require('lodash.startswith');
var endsWith = require('lodash.startswith');
function replaceSource(source, publicPath) {
    if (endsWith(publicPath, '/')) {
        publicPath = publicPath.replace(/\/$/, '');
    }
    var reg = /url\(['"]?(.+?)['"]?\)/;
    var innerUrl = source.match(reg);
    innerUrl = innerUrl && innerUrl[1];
    if (!innerUrl) {
        return source;
    }
    var isStatic = /^data:|^chrome-extension:|^moz-extension:|^ms-browser-extension:|^(https?:)?\/\//.test(innerUrl);
    if (!isStatic) {
        if (startsWith(innerUrl, '/')) {
            var resultUrl = publicPath + innerUrl;
            return source.replace(innerUrl, resultUrl);
        }
    }
    return source;
}

module.exports = replaceSource;